<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: Charts/DLConstructsDistribution.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: Charts/DLConstructsDistribution.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>import React from "react";
import { BarChart, Bar, XAxis, YAxis, CartesianGrid, Tooltip } from "recharts";

/**
 * Creates DL constructs distribution chart
 *
 * @param {Object} props - includes data to create chart from
 * @returns created chart
 * @component
 * @name DLConstructsDistribution
 */
export default function DLConstructsDistribution(props) {
  const data = [
    {
      name: "D",
      number: props.data.filter((item) => item.complexity.includes("D")).length,
    },
    {
      name: "E",
      number: props.data.filter((item) => item.complexity.includes("E")).length,
    },
    {
      name: "F",
      number: props.data.filter((item) => item.complexity.includes("F")).length,
    },
    {
      name: "AL",
      number: props.data.filter((item) => item.complexity.includes("AL"))
        .length,
    },
    {
      name: "C",
      number: props.data.filter((item) => item.complexity.includes("C")).length,
    },
    {
      name: "N",
      number: props.data.filter((item) => item.complexity.includes("N")).length,
    },
    {
      name: "O",
      number: props.data.filter((item) => item.complexity.includes("O")).length,
    },
    {
      name: "H",
      number: props.data.filter((item) => item.complexity.includes("H")).length,
    },
    {
      name: "I",
      number: props.data.filter((item) => item.complexity.includes("I")).length,
    },
    {
      name: "U",
      number: props.data.filter((item) => item.complexity.includes("U")).length,
    },
    {
      name: "Q",
      number: props.data.filter((item) => item.complexity.includes("Q")).length,
    },
    {
      name: "S",
      number: props.data.filter((item) => item.complexity.includes("S")).length,
    },
    {
      name: "R",
      number: props.data.filter((item) => item.complexity.includes("R")).length,
    },
  ];

  return (
    &lt;>
      &lt;div style={{ fontSize: "12px", marginLeft: "10px" }}>
        &lt;h3 style={{ marginTop: 0, padding: 0 }}>
          Description logic constructs distribution
        &lt;/h3>
        &lt;h4>X axis:Description logic constructs&lt;/h4>
        &lt;h4>Y axis:number of ontologies&lt;/h4>
      &lt;/div>
      &lt;BarChart
        width={800}
        height={400}
        data={data}
        margin={{
          top: 5,
          right: 30,
          left: 20,
          bottom: 5,
        }}
      >
        &lt;CartesianGrid strokeDasharray="3 3" />
        &lt;XAxis dataKey="name" interval={0} />
        &lt;YAxis />
        &lt;Tooltip />
        &lt;Bar dataKey="number" fill="#82ca9d" />
      &lt;/BarChart>
      &lt;div style={{ fontSize: "12px", marginLeft: "10px" }}>
        Legend:
        &lt;ul>
          &lt;li>'D'='Use of datatype properties, data values or data types.'&lt;/li>
          &lt;li>'E'='Full existential qualification.'&lt;/li>
          &lt;li>'F'='Functional properties.'&lt;/li>
          &lt;li>'AL'='Attributive language.'&lt;/li>
          &lt;li>'C'='Complex concept negation.'&lt;/li>
          &lt;li>'N'='Cardinality restrictions.'&lt;/li>
          &lt;li>
            'O'='Nominals. (Enumerated classes of object value restrictions -
            owl:oneOf, owl:hasValue).'
          &lt;/li>
          &lt;li>'H'='Role hierarchy (subproperties - rdfs:subPropertyOf).'&lt;/li>
          &lt;li>'I'='Inverse properties.'&lt;/li>
          &lt;li>'U'='Concept union.'&lt;/li>
          &lt;li>'Q'='Qualified cardinality restrictions.'&lt;/li>
          &lt;li>
            'S'='Attributive Language with Complements and transitive roles.'
          &lt;/li>
          &lt;li>'R'='Complex role inclusion.'&lt;/li>
        &lt;/ul>
      &lt;/div>
    &lt;/>
  );
}
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="-_1.html">_1</a></li><li><a href="-_2.html">_2</a></li><li><a href="AnnotationMetricsFilters.html">AnnotationMetricsFilters</a></li><li><a href="AnnotationsDistribution.html">AnnotationsDistribution</a></li><li><a href="AxiomFrequencyDistribution.html">AxiomFrequencyDistribution</a></li><li><a href="AxiomMetricsFilters.html">AxiomMetricsFilters</a></li><li><a href="AxiomTypesDistribution.html">AxiomTypesDistribution</a></li><li><a href="ChartPopup.html">ChartPopup</a></li><li><a href="ClassesFrequencyDistribution.html">ClassesFrequencyDistribution</a></li><li><a href="ClassExpressionTypeMetricsFilters.html">ClassExpressionTypeMetricsFilters</a></li><li><a href="DetailMetricsFilters.html">DetailMetricsFilters</a></li><li><a href="DLConstructsDistribution.html">DLConstructsDistribution</a></li><li><a href="DomainRangeDefinitionDistribution.html">DomainRangeDefinitionDistribution</a></li><li><a href="EntitiyMetricsFilters.html">EntitiyMetricsFilters</a></li><li><a href="Home.html">Home</a></li><li><a href="InstancesFrequencyDistribution.html">InstancesFrequencyDistribution</a></li><li><a href="Navigation.html">Navigation</a></li><li><a href="OntologiesTableClass.html">OntologiesTableClass</a></li><li><a href="OWL2ProfilesAndReasoning.html">OWL2ProfilesAndReasoning</a></li><li><a href="OWL2ProfilesDistribution.html">OWL2ProfilesDistribution</a></li><li><a href="ResourceFilter.html">ResourceFilter</a></li><li><a href="Tab.html">Tab</a></li><li><a href="Tabs.html">Tabs</a></li><li><a href="TaxonomyMetricsFilters.html">TaxonomyMetricsFilters</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.6</a> on Sun Apr 11 2021 17:29:26 GMT+0200 (stredoeurópsky letný čas)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
